<!DOCTYPE html>
<html lang="eng"> 
<html>
	<title> PiJukeBox </title>
	<head>
		<link rel="shortcut icon" href="{{ url_for('static',filename='images/vinyl.png') }}" />
		<meta content='width=device-width, initial-scale=1' name='viewport'/>
		<meta charset="utf-8"/>
		<meta http-equiv="imagetoolbar" content="no" />
		<link rel="stylesheet" href="{{ url_for('static',filename='css/index.css') }}">
		<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
		</head>
	<body onload="init()">
		<img src="{{ url_for('static',filename='images/vinyl.png') }}" id="vinyl"/>
		<form method="POST">
			<input type="submit" name="btn" value="Pause" id="ps"/>
		</form>
			
		<form method="POST">
			<input type="submit" name="btn" value="Stop" id="sp"/>
		</form>
		
		<form method="POST">
			<input id="volbox" type="text" name="vol"/>
			<input type="submit" name="btn" value="Volume" id="vl"/>
		</form>
			
		<a id="headT"> Play your favourite music </a>
		<a id="subheadT"> Add seeds and musical properties below to build your sound </a>
		<div id="linkdiv">
			<form method="POST">
				<input id="linkbox" type="text" name="link" placeholder="Youtube URL or Search query..." />
				<input id="linksubmit" name="btn" type="submit" value="Go" disabled/>
			</form>
		</div>
		<div id="npdiv">
			<a id="np"></a>
			<a id="pause" onclick="pause()" class="material-icons" disabled>pause</a>
			<a id="stop" onclick="stop()" class="material-icons">stop</a>
			<a id="volico" class="material-icons">volume_up</a>
			<input id="vol" type="range" min="0" max="100" step="1"/>
		</div>
		<script>
			var status;
			var np;
			var volume;
			function init(){
				status = '{{ status }}';
				np = '{{ np }}';
				volume = '{{ volume }}'
				
				document.getElementById("vol").value = volume;
				document.getElementById("np").innerHTML = np;
				if ({{ status }} === 0){
					document.getElementById("vinyl").style.WebkitAnimation = "none";
					document.getElementById("vinyl").style.animation = "none";
					document.getElementById("pause").innerHTML = "pause";
				} else if ({{ status }} === 1){
					document.getElementById("vinyl").style.WebkitAnimation = "0.5s rotate360 infinite linear";
					document.getElementById("vinyl").style.animation = "0.5s rotate360 infinite linear";
					document.getElementById("pause").innerHTML = "pause";
				} else if ({{ status }} === 2){
					document.getElementById("vinyl").style.WebkitAnimation = "none";
					document.getElementById("vinyl").style.animation = "none";
					document.getElementById("pause").innerHTML = "play_arrow";
				}
				
				setTimeout(function(){
					document.getElementById("pause").disabled = false;
				}, 2000);
			}
			
			document.getElementById("linkbox").oninput = function() {
				if (document.getElementById("linkbox").value.length > 0){
					if ((document.getElementById("linkbox").value.substring(0, 24) === "https://www.youtube.com/") && (document.getElementById("linkbox").value.length == 43)){
						document.getElementById("linksubmit").disabled = false;
					} else if ((document.getElementById("linkbox").value.substring(0, 24) === "https://www.youtube.com/") && (document.getElementById("linkbox").value.length != 43)){
						document.getElementById("linksubmit").disabled = true;
					} else {
						document.getElementById("linksubmit").disabled = false;
					}
				} else {
					document.getElementById("linksubmit").disabled = true;
				}
			}
			
			function pause(){
				if (status === '1'){
					status = 2;
					document.getElementById("pause").innerHTML = "play_arrow";
					document.getElementById("vinyl").style.WebkitAnimation = "none";
					document.getElementById("vinyl").style.animation = "none";	
				} else if (status === '2'){
					status = 1;
					document.getElementById("pause").innerHTML = "pause";
					document.getElementById("vinyl").style.WebkitAnimation = "0.5s rotate360 infinite linear";
					document.getElementById("vinyl").style.animation = "0.5s rotate360 infinite linear";
				}
				document.getElementById("ps").click();
			}
			
			function stop(){
				np = 'Now Playing: N/A';
				document.getElementById("np").innerHTML = np;
				status = 0;
				document.getElementById("pause").innerHTML = "pause";
				document.getElementById("vinyl").style.WebkitAnimation = "none";
				document.getElementById("vinyl").style.animation = "none";
				document.getElementById("sp").click();
			}
			
			document.getElementById("vol").onchange = function() {
				document.getElementById("volbox").value = document.getElementById("vol").value;
				document.getElementById("vl").click();	
			}
		</script>
	</body>
</html>
